package com.gic.haoban.manage.api;

import java.io.Serializable;

/**
 * 会员和导购加的好友列表
 */
public class ExternalUserClerkDTO implements Serializable {

    private String memberId ;
    private String clerkId ;
    private String storeId ;

    // 外部联系人ID状态1正常,  3单向好友
    private Integer externalStatus ;

    public Integer getExternalStatus() {
        if(null == externalStatus) {
            return 1;
        }
        if(externalStatus != 3) {
            return  1;
        }
        return externalStatus;
    }

    public void setExternalStatus(Integer externalStatus) {
        this.externalStatus = externalStatus;
    }

    public String getMemberId() {
        return memberId;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    public String getStoreId() {
        return storeId;
    }

    public void setStoreId(String storeId) {
        this.storeId = storeId;
    }
}
